Skip to main content
PUT
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
custom-params
/
{id}
Update custom param
curl --request PUT \
  --url 'https://{domain}/api/v2/network/offers/{offer_id}/custom-params/{id}?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": 1,
  "start_date": "2025-01-01",
  "end_date": "2025-01-31",
  "affiliates": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "custom_param": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

id
integer
required

Custom param ID.

Body

application/json
status
integer
start_date
string
end_date
string
affiliates
string
conditions
parameters

Response

Custom param updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object